/* CSS Styles specific to qkty-content pages */

/* 29-03-2021 */

/* GENERAL QKTy CONTENT STYLES */

.qkty-content {
    background-color: #fff;
    margin: 40px auto; 
    border-radius: 4px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.10);
} 

    .qkty-content h2 {
        margin: 3rem 0 1.125rem 0; 
        padding: 2rem 0; 
        font-size: 1.625rem !important; 
        border-top: 1px solid #60696c; 
        border-bottom: 1px solid #60696c;
    }

    .qkty-content h2::before {
        content: '\27A4  '; 
        color: #28A49E;
    }

    .qkty-content h3 {
        padding: 1.75rem 0 0.5rem 0; 
        font-size: 1.325rem !important;
    }

    .qkty-content h4 {
        font-family: "Ballinger Medium",Ballinger,Arial,sans-serif; 
        padding: 1.5rem 0 0.5rem 0; 
        font-size: 1.125rem !important;
    }

    .qkty-content a strong {
        color: #d60000;
    }

    .home-modal .qkty-content h3 {
      padding: 0.5rem 0;
    }

.anchor-list {
    padding: 1.5rem 0;
}

    .anchor-list li {
        font-size: 1.325rem; 
        font-weight: bold;
    }


.home-modal .qkty-content {
    margin: 0px auto;
    box-shadow: none;
}


/* PROCESS STEP STYLES */

.step-container {
        margin:  0 auto;
        padding-top: 20px;
      }
  
      .step-container > .step {
        position: relative;
        background-color: #f4f4f4;
        border-radius: 15px;
        display: flex;
        align-items: center;
        min-height: 200px;
        margin-top: 30px;
      }
      
      .step-container > .step > .number {
        position: absolute;
        top: 0px;
        left: 50%;
        transform: translate(-50%,-50%);
        width: 80px;
        height: 80px;
        line-height: 1.5;
        text-align: center;
        border: 5px solid #fff;
        border-radius: 50%;
        background-color: #28A49E;
        color: #fff;
        font-size: 3rem;
      }
      
      .step-container > .step > .inner {
        padding: 30px;
      }

.step-container-narrow {
        max-width: 600px;
      }

.step-container-narrow > .step > .inner {
        text-align: center;
        width: 50%;
      }
      
.step-container-wide > .step > .inner {
        text-align: left;
      }

.step-container-wide > .step > .inner-title {
        flex-basis: 25%;   
      }

.step-container-wide > .step > .inner-text {
        flex-basis: 75%;
        margin-top: 30px;
      }

    .step h3 {
        font-size: 1.525rem !important;
        margin: 0px;
      }
      
    .step p {
        font-size: 1.125rem;
      }
      
    .step a {
        text-decoration: none;
      }
      

/* ACCORDION CODE */

.qkty-content details {
    transition: all .3s ease-in-out;
    margin-top: 20px;
    padding: 0 20px;
    list-style: none;
  }
  
  .qkty-content details[open] {
    min-height: 50px;
    background-color: #f4f4f4;
    box-shadow: 0px 1px 10px rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    padding: 20px 20px 1px 20px;
  }
  
  .qkty-content summary {
    padding-bottom: 1rem; 
    font-size: 1.625rem !important;
    font-weight: 700; 
    color: #000;
    cursor: pointer;
  }
  
  .qkty-content summary:focus {
    outline: none;
  }
  
  .qkty-content summary::-webkit-details-marker {
    display: none;
  }
  
  .qkty-content summary::before {
    content: '\27A4  '; 
    color: #28A49E;
    padding-right: 1rem;
}


/*  MEDIA QUERIES */

/* Small devices (phones, portrait tablets, 767px and down) */
@media only screen and (max-width: 767px) {
    .qkty-content { 
        width: 100%;
        padding: 40px 20px;
      }

        .qkty-content h2::before {
            display: inline-block;
            position: absolute;
            left: 32px;
        }

        .qkty-content h2 {
            padding: 2rem 0 2rem 2rem;
        }
    
        .step-container > .step {
                flex-direction: column;
                margin-top: 20px;
              }
          
          .step > .inner {
                width: auto;
                padding: 20px;
              }	
              
          .step > .inner:first-of-type {
                padding-top: 40px;
                padding-bottom: 0px;
              }	

    .step-container-narrow > .step > .inner {
                width: auto;
            }

    .step-container-narrow > .step > .inner-title {
                padding: 40px 20px 0px 20px;
            }

    .step-container-narrow > .step > .inner-text {
                padding: 20px;
            }

    .step-container-wide > .step > .inner-title {
                flex-basis: 30%;
                padding-left: 30px;
                text-align: center;
            } 

            .step-container-wide > .step > h3 {
                padding: 0.5rem 0;
            }
              
    .step-container-wide > .step > .inner-text {
                flex-basis: 70%;
                margin-top: 0px;
            }

    .step-container-narrow > .step > .number,
    .step-container-wide > .step > .number {
                width: 64px;
                height: 64px;
                line-height: 1.4;
                border: 4px solid #fff;
                font-size: 40px;
              }

    .step-container-wide > .step > .number {
                position: absolute;
                top: 0%;
                left: 50%;
              }

    .home-modal .qkty-content h2::before {
                left: 12px;
            }
}


/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {
    .qkty-content { 
        width: 80%;
        padding: 40px 30px;
    }

    .contentPage .qkty-content h2::before {
        display: inline-block;
        position: absolute;
        left: 52px;
    }

    .contentPage .qkty-content h2 {
        padding: 2rem 0 2rem 3rem;
    }

    .step-container-narrow > .step > .number,
        .step-container-wide > .step > .number {
                    width: 64px;
                    height: 64px;
                    line-height: 1.4;
                    border: 4px solid #fff;
                    font-size: 40px;
                }
    
    .home-modal .qkty-content h2::before {
        left: 12px;
    }
    
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
    .qkty-content { 
        width: 80%;
        padding: 40px;
    }


    .step-container-narrow > .step > .number,
            .step-container-wide > .step > .number {
                        width: 80px;
                        height: 80px;
                        line-height: 1.5;
                        border: 5px solid #fff;
                        font-size: 3rem;
                    }
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) { 
    .qkty-content {
        width: 66%;
        padding: 40px;
    }
}


/* MEDIA QUERIES END */


/* Full width and margin override for qkty-content that is displayed on pages with sidebar navigation */

.contentPage .qkty-content {
    width: auto;
    margin: 0px auto 40px auto;
}



/* Full width and margin override for qkty-content that is displayed on modal pop-up window on login page */

.home-modal .qkty-content {
  width: auto;
  padding: 0px;
}

.home-modal .qkty-content h2::before {
  left: 12px;
}